> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alvys.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dispatch trip

> Dispatch an assigned trip in Alvys by trip ID, transitioning the trip from Assigned to Dispatched and notifying the driver on the mobile companion app.



## OpenAPI

````yaml POST /api/p/v{version}/trips/{tripId}/dispatch
openapi: 3.0.1
info:
  title: Alvys
  description: >-
    Alvys provides a robust set of REST APIs to allow you to integrate Alvys
    into virtually any platform. These APIs cover most of Alvys' major product
    areas with additional endpoints being added regularly based on customer
    requests.
  contact:
    name: Alvys Support
    url: https://www.alvys.com/resources/contact/
  version: v1
servers:
  - url: https://integrations.alvys.com
    description: Public API Server
  - url: https://api.alvys.com/
    description: Public API Server
security:
  - Public: []
tags:
  - name: Authentication
    description: Obtain an OAuth 2.0 access token for the Alvys Public API.
  - name: Carrier Settlement Statements
    description: >-
      Search carrier settlement statements and retrieve a single statement by
      number.
  - name: Carriers
    description: Read carrier records, search carriers, and manage carrier documents.
  - name: Customers
    description: Create, read, update, delete, and search customer records.
  - name: Deductions
    description: >-
      Create one-time deductions and search or delete existing deduction
      records.
  - name: DispatchPreferences
    description: Dispatch preferences endpoints for reading dispatch rules and preferences.
  - name: Driver Settlement Statements
    description: >-
      Search driver settlement statements and retrieve a single statement by
      number.
  - name: Drivers
    description: >-
      Read driver records, search drivers and driver events, and manage driver
      documents.
  - name: Fuel
    description: Read and search fuel transactions.
  - name: Invoices
    description: >-
      Read invoices, create carrier invoices, and record carrier and customer
      payments.
  - name: Loads
    description: Read, update, search loads, and manage load documents and notes.
  - name: Locations
    description: Read and search company location details.
  - name: Maintenance
    description: Read and search maintenance records.
  - name: Tenders
    description: Create, accept, reject, cancel, update, and search inbound EDI tenders.
  - name: Tolls
    description: Read and search toll transactions.
  - name: Trailers
    description: Read trailers, search trailer events, and manage trailer documents.
  - name: Trips
    description: >-
      Read, search trips, manage trip documents, and record stop appointments,
      arrivals, and departures.
  - name: Trucks
    description: Read trucks, search truck events, and manage truck documents.
  - name: Users
    description: List and search users.
  - name: Visibility
    description: >-
      Read inbound and outbound visibility history and search outbound
      visibility errors.
  - name: Webhooks
    description: >-
      Create, read, update, delete, enable, disable, verify, test, and rotate
      secrets for webhook subscriptions; read event types, delivery logs, and
      health metrics.
paths:
  /api/p/v{version}/trips/{tripId}/dispatch:
    post:
      tags:
        - Trips
      summary: Dispatch trip
      parameters:
        - name: tripId
          in: path
          required: true
          schema:
            type: string
        - name: version
          in: path
          description: API version (e.g., 1.0)
          required: true
          schema:
            type: string
            default: '1.0'
            example: '1.0'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alvys.Models.Trips.TripDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Microsoft.AspNetCore.Mvc.ValidationProblemDetails
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '429':
          description: Too Many Requests
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
      security:
        - Public: []
components:
  schemas:
    Alvys.Models.Trips.TripDetailsResponse:
      required:
        - CarrierPayOnHold
        - EmptyMileage
        - Id
        - LoadedMileage
        - LoadNumber
        - Status
        - Stops
        - TotalMileage
        - TripNumber
        - TripValue
      type: object
      properties:
        Truck:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseTruckDetailsResponse
          nullable: true
        Trailer:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseTrailerDetailsResponse
          nullable: true
        Id:
          type: string
        TripNumber:
          type: string
        Status:
          type: string
        LoadNumber:
          type: string
        OrderNumber:
          type: string
          nullable: true
        Stops:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.StopResponse'
        TenderAs:
          type: string
          nullable: true
        TenderAsSubsidiaryType:
          type: string
          nullable: true
        RequiredEquipment:
          type: array
          items:
            type: string
          nullable: true
        Temperature:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseTemperatureRequirements
          nullable: true
        TotalMileage:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Loads.LoadResponseMileage'
        EmptyMileage:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Loads.LoadResponseMileage'
        LoadedMileage:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Loads.LoadResponseMileage'
        PickupDate:
          type: string
          format: date-time
          nullable: true
        DeliveryDate:
          type: string
          format: date-time
          nullable: true
        PickedUpAt:
          type: string
          format: date-time
          nullable: true
        DeliveredAt:
          type: string
          format: date-time
          nullable: true
        CarrierAssignedAt:
          type: string
          format: date-time
          nullable: true
        ReleasedAt:
          type: string
          format: date-time
          nullable: true
        CarrierPaidAt:
          type: string
          format: date-time
          nullable: true
        DueDate:
          type: string
          format: date-time
          nullable: true
        TripValue:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        Driver1:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseDriverResponse
          nullable: true
        Driver2:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseDriverResponse
          nullable: true
        OwnerOperator:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseOwnerOperatorResponse
          nullable: true
        ReleasedBy:
          type: string
          nullable: true
        DispatchedBy:
          type: string
          nullable: true
        DispatcherId:
          type: string
          nullable: true
        CarrierSalesAgentId:
          type: string
          nullable: true
        CarrierPayOnHold:
          type: boolean
        Carrier:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseCarrierResponse
          nullable: true
        UpdatedAt:
          type: string
          format: date-time
          nullable: true
        UpdatedBy:
          type: string
          nullable: true
        IsDeleted:
          type: boolean
          nullable: true
        References:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.References.ReferenceResponse'
          nullable: true
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ValidationProblemDetails:
      required:
        - Errors
      type: object
      properties:
        Errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        Type:
          type: string
          nullable: true
        Title:
          type: string
          nullable: true
        Status:
          type: integer
          format: int32
          nullable: true
        Detail:
          type: string
          nullable: true
        Instance:
          type: string
          nullable: true
      additionalProperties: {}
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        Type:
          type: string
          nullable: true
        Title:
          type: string
          nullable: true
        Status:
          type: integer
          format: int32
          nullable: true
        Detail:
          type: string
          nullable: true
        Instance:
          type: string
          nullable: true
      additionalProperties: {}
    Alvys.Models.Trips.TripResponseTruckDetailsResponse:
      type: object
      properties:
        Telemetry:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseTruckTelemetry
          nullable: true
        Id:
          type: string
          nullable: true
        Fleet:
          allOf:
            - $ref: '#/components/schemas/FleetResponse'
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseTrailerDetailsResponse:
      required:
        - EquipmentType
      type: object
      properties:
        Telemetry:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripResponseTrailerTelemetry
          nullable: true
        Id:
          type: string
          nullable: true
        EquipmentType:
          type: string
        EquipmentLength:
          allOf:
            - $ref: '#/components/schemas/Alvys.Length'
          nullable: true
        Fleet:
          allOf:
            - $ref: '#/components/schemas/FleetResponse'
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.StopResponse:
      required:
        - $type
      type: object
      oneOf:
        - $ref: '#/components/schemas/Alvys.Models.Trips.AppointmentStopResponse'
        - $ref: '#/components/schemas/Alvys.Models.Trips.DeliveryWindowStopResponse'
        - $ref: '#/components/schemas/Alvys.Models.Trips.WaypointStopResponse'
      properties:
        $type:
          type: string
          description: Type discriminator for polymorphic serialization
      additionalProperties: false
      discriminator:
        propertyName: $type
        mapping:
          appointment:
            $ref: '#/components/schemas/Alvys.Models.Trips.AppointmentStopResponse'
          delivery_window:
            $ref: '#/components/schemas/Alvys.Models.Trips.DeliveryWindowStopResponse'
          waypoint:
            $ref: '#/components/schemas/Alvys.Models.Trips.WaypointStopResponse'
    Alvys.Models.Trips.TripResponseTemperatureRequirements:
      type: object
      properties:
        SetpointTemperature:
          type: number
          format: double
          nullable: true
        SetpointTemperatureMax:
          type: number
          format: double
          nullable: true
        ControlMode:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Loads.LoadResponseMileage:
      required:
        - Distance
      type: object
      properties:
        Distance:
          allOf:
            - $ref: '#/components/schemas/Alvys.Distance'
        Source:
          type: string
          nullable: true
        ProfileId:
          type: string
          nullable: true
        ProfileName:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Money:
      required:
        - Amount
      type: object
      properties:
        Amount:
          type: number
          format: double
        Currency:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseDriverResponse:
      required:
        - Rates
      type: object
      properties:
        Id:
          type: string
          nullable: true
        ContractorType:
          type: string
          nullable: true
        Rates:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.DriverRate'
          deprecated: true
        Fleet:
          allOf:
            - $ref: '#/components/schemas/FleetResponse'
          nullable: true
        AccessorialsDetails:
          type: array
          items:
            $ref: >-
              #/components/schemas/Alvys.Models.Accessorials.DriverAccessorialResponse
          nullable: true
        EChecks:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Accessorials.ECheckResponse'
          nullable: true
        RatesV2:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.DriverRatePolicyResponse'
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseOwnerOperatorResponse:
      required:
        - Id
      type: object
      properties:
        Id:
          type: string
        AccessorialsDetails:
          type: array
          items:
            $ref: >-
              #/components/schemas/Alvys.Models.Accessorials.OwnerOperatorAccessorialResponse
          nullable: true
        EChecks:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Accessorials.ECheckResponse'
          nullable: true
        RatesV2:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.DriverRatePolicyResponse'
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseCarrierResponse:
      required:
        - Accessorials
        - Id
        - Linehaul
        - Rate
        - TotalPayable
      type: object
      properties:
        Id:
          type: string
        CarrierInvoiceNumber:
          type: string
          nullable: true
        Rate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
          deprecated: true
        Linehaul:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        AccessorialsDetails:
          type: array
          items:
            $ref: >-
              #/components/schemas/Alvys.Models.Accessorials.CarrierAccessorialResponse
          nullable: true
        EChecks:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Accessorials.ECheckResponse'
          nullable: true
        Accessorials:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
          readOnly: true
        TotalPayable:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
          readOnly: true
      additionalProperties: false
    Alvys.Models.References.ReferenceResponse:
      required:
        - Name
        - Value
      type: object
      properties:
        Id:
          type: string
          nullable: true
        ReferenceId:
          type: string
          nullable: true
        Name:
          type: string
        Value:
          type: string
        Type:
          type: string
          nullable: true
        Access:
          type: string
          nullable: true
        Origin:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseTruckTelemetry:
      type: object
      properties:
        Coordinates:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.TripResponseCoordinates'
          nullable: true
        Timestamp:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    FleetResponse:
      type: object
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        InvoiceNumberPrefix:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseTrailerTelemetry:
      type: object
      properties:
        Coordinates:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.TripResponseCoordinates'
          nullable: true
        Timestamp:
          type: string
          format: date-time
          nullable: true
        SetpointTemperature:
          type: number
          format: double
          nullable: true
        ReturnAirTemperature:
          type: number
          format: double
          nullable: true
        SupplyAirTemperature:
          type: number
          format: double
          nullable: true
        ProbeTemperature:
          type: number
          format: double
          nullable: true
        ControlMode:
          type: string
          nullable: true
        Power:
          type: string
          nullable: true
        FuelPercent:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    Alvys.Length:
      required:
        - UnitOfMeasure
        - Value
      type: object
      properties:
        Value:
          type: number
          format: double
        UnitOfMeasure:
          allOf:
            - $ref: '#/components/schemas/Alvys.LengthUnits'
      additionalProperties: false
    Alvys.Models.Trips.AppointmentStopResponse:
      required:
        - AppointmentConfirmed
        - AppointmentRequested
        - Id
        - References
        - ScheduleType
        - StopType
      type: object
      properties:
        AppointmentRequested:
          type: boolean
        AppointmentConfirmed:
          type: boolean
        AppointmentDate:
          type: string
          format: date-time
          nullable: true
        ScheduleType:
          type: string
        LoadingType:
          type: string
          nullable: true
        Id:
          type: string
        Address:
          allOf:
            - $ref: '#/components/schemas/Alvys.Features.Locations.ShortAddress'
          nullable: true
        Coordinates:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Coordinates'
          nullable: true
        Status:
          type: string
          nullable: true
        StopType:
          type: string
        ArrivedAt:
          type: string
          format: date-time
          nullable: true
        DepartedAt:
          type: string
          format: date-time
          nullable: true
        References:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.References.ReferenceResponse'
        CompanyId:
          type: string
          nullable: true
        CompanyNumber:
          type: string
          nullable: true
        CompanyName:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.DeliveryWindowStopResponse:
      required:
        - Id
        - References
        - ScheduleType
        - StopType
      type: object
      properties:
        StopWindow:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.DateTimeWindowDto'
          nullable: true
        ScheduleType:
          type: string
        LoadingType:
          type: string
          nullable: true
        Id:
          type: string
        Address:
          allOf:
            - $ref: '#/components/schemas/Alvys.Features.Locations.ShortAddress'
          nullable: true
        Coordinates:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Coordinates'
          nullable: true
        Status:
          type: string
          nullable: true
        StopType:
          type: string
        ArrivedAt:
          type: string
          format: date-time
          nullable: true
        DepartedAt:
          type: string
          format: date-time
          nullable: true
        References:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.References.ReferenceResponse'
        CompanyId:
          type: string
          nullable: true
        CompanyNumber:
          type: string
          nullable: true
        CompanyName:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.WaypointStopResponse:
      required:
        - $type
        - Id
        - References
        - StopType
      type: object
      properties:
        StopWindow:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.DateTimeWindowDto'
          nullable: true
        Id:
          type: string
        Address:
          allOf:
            - $ref: '#/components/schemas/Alvys.Features.Locations.ShortAddress'
          nullable: true
        Coordinates:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Coordinates'
          nullable: true
        Status:
          type: string
          nullable: true
        StopType:
          type: string
        ArrivedAt:
          type: string
          format: date-time
          nullable: true
        DepartedAt:
          type: string
          format: date-time
          nullable: true
        References:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.References.ReferenceResponse'
        CompanyId:
          type: string
          nullable: true
        CompanyNumber:
          type: string
          nullable: true
        CompanyName:
          type: string
          nullable: true
        $type:
          enum:
            - waypoint
          type: string
          description: Type discriminator for polymorphic serialization
      additionalProperties: false
    Alvys.Distance:
      required:
        - UnitOfMeasure
        - Value
      type: object
      properties:
        Value:
          type: number
          format: double
        UnitOfMeasure:
          allOf:
            - $ref: '#/components/schemas/Alvys.DistanceDistanceUnits'
      additionalProperties: false
    Alvys.Models.DriverRate:
      required:
        - FreeUnit
        - Rate
        - RateType
      type: object
      properties:
        Rate:
          type: number
          format: double
        ExtraStops:
          type: number
          format: double
          nullable: true
        RateType:
          type: string
        PerDiemRateType:
          type: string
          nullable: true
        FreeUnit:
          type: number
          format: double
        Source:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Accessorials.DriverAccessorialResponse:
      required:
        - Id
        - Quantity
        - Rate
        - RateType
        - Total
        - Type
        - Uom
      type: object
      properties:
        Id:
          type: string
        Type:
          type: string
        Total:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        Rate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        RateType:
          type: string
        Uom:
          type: string
        Quantity:
          type: number
          format: double
        IsPaid:
          type: boolean
          nullable: true
        CreatedAt:
          type: string
          format: date-time
          nullable: true
        CreatedBy:
          type: string
          nullable: true
        UpdatedAt:
          type: string
          format: date-time
          nullable: true
        UpdatedBy:
          type: string
          nullable: true
        ECheckNumber:
          type: string
          nullable: true
        StopId:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Accessorials.ECheckResponse:
      required:
        - Amount
        - CheckNumber
        - Fee
        - Id
        - Type
      type: object
      properties:
        Id:
          type: string
        CheckNumber:
          type: string
        Amount:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        Fee:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        Type:
          type: string
        IsPaid:
          type: boolean
          nullable: true
        CreatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.DriverRatePolicyResponse:
      required:
        - PolicyId
        - PolicyName
      type: object
      properties:
        PolicyId:
          type: string
        PolicyName:
          type: string
        TripValuePercentageRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripValuePercentageRateDto
          nullable: true
        TripValuePercentageDeductionRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.TripValuePercentageRateDto
          nullable: true
        FuelSurchargePercentageRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.FuelSurchargePercentageRateDto
          nullable: true
        CustomerLineHaulPercentageRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.CustomerLineHaulPercentageRateDto
          nullable: true
        CustomerLineHaulDeductionRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.CustomerLineHaulPercentageRateDto
          nullable: true
        PerTripRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerTripRateDto'
          nullable: true
        ServiceFeeRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.ServiceFeeRateDto'
          nullable: true
        StatementMinimumPayRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.StatementMinimumPayRateDto
          nullable: true
        StatementBonusRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.StatementBonusRateDto'
          nullable: true
        StatementPerDiemRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.StatementPerDiemRateDto'
          nullable: true
        TotalMilesRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateDto'
          nullable: true
        LoadedMilesRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateDto'
          nullable: true
        EmptyMilesRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateDto'
          nullable: true
        PerStopRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerStopRateDto'
          nullable: true
        PerLoadRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerLoadRateDto'
          nullable: true
        PerCustomerStopRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerStopRateDto'
          nullable: true
        PerHourRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerHourRateDto'
          nullable: true
        PerDayRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerDayRateDto'
          nullable: true
        DailyPerDiemRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.DailyPerDiemRateDto'
          nullable: true
        MileagePerDiemRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.MileagePerDiemRateDto'
          nullable: true
        PerMileRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerMileRateDto'
          nullable: true
        PerMileDeductionRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerMileRateDto'
          nullable: true
        DailyMinimumPayRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.DailyMinimumPayRateDto'
          nullable: true
        PerHourWithOvertimeRate:
          allOf:
            - $ref: >-
                #/components/schemas/Alvys.Models.Trips.PerHourWithOvertimeRateDto
          nullable: true
        PerWeightRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.PerWeightRateDto'
          nullable: true
        RestBreaksRate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Models.Trips.RestBreaksRateDto'
          nullable: true
      additionalProperties: false
    Alvys.Models.Accessorials.OwnerOperatorAccessorialResponse:
      required:
        - Id
        - Quantity
        - Rate
        - RateType
        - Total
        - Type
        - Uom
      type: object
      properties:
        Id:
          type: string
        Type:
          type: string
        Total:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        Rate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        RateType:
          type: string
        Uom:
          type: string
        Quantity:
          type: number
          format: double
        IsPaid:
          type: boolean
          nullable: true
        CreatedAt:
          type: string
          format: date-time
          nullable: true
        CreatedBy:
          type: string
          nullable: true
        UpdatedAt:
          type: string
          format: date-time
          nullable: true
        UpdatedBy:
          type: string
          nullable: true
        ECheckNumber:
          type: string
          nullable: true
        StopId:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Accessorials.CarrierAccessorialResponse:
      required:
        - Id
        - Quantity
        - Rate
        - RateType
        - Total
        - Type
        - Uom
      type: object
      properties:
        Id:
          type: string
        Type:
          type: string
        Total:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        Rate:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
        RateType:
          type: string
        Uom:
          type: string
        Quantity:
          type: number
          format: double
        IsPaid:
          type: boolean
          nullable: true
        CreatedAt:
          type: string
          format: date-time
          nullable: true
        CreatedBy:
          type: string
          nullable: true
        UpdatedAt:
          type: string
          format: date-time
          nullable: true
        UpdatedBy:
          type: string
          nullable: true
        StopId:
          type: string
          nullable: true
      additionalProperties: false
    Alvys.Models.Trips.TripResponseCoordinates:
      required:
        - Latitude
        - Longitude
      type: object
      properties:
        Latitude:
          type: number
          format: double
        Longitude:
          type: number
          format: double
      additionalProperties: false
    Alvys.LengthUnits:
      enum:
        - Feet
        - Inches
        - Yards
        - Meters
      type: string
    Alvys.Features.Locations.ShortAddress:
      required:
        - City
        - State
        - Street
        - ZipCode
      type: object
      properties:
        Street:
          type: string
        City:
          type: string
        State:
          type: string
        ZipCode:
          type: string
      additionalProperties: false
    Alvys.Models.Coordinates:
      required:
        - Latitude
        - Longitude
      type: object
      properties:
        Latitude:
          type: string
        Longitude:
          type: string
      additionalProperties: false
    Alvys.Models.Trips.DateTimeWindowDto:
      required:
        - Begin
        - End
      type: object
      properties:
        Begin:
          type: string
          format: date-time
        End:
          type: string
          format: date-time
      additionalProperties: false
    Alvys.DistanceDistanceUnits:
      enum:
        - Miles
        - Kilometers
        - Meters
        - Feet
      type: string
    Alvys.Models.Trips.TripValuePercentageRateDto:
      required:
        - LineItems
        - Percentage
        - RateId
        - RateName
      type: object
      properties:
        Percentage:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.FuelSurchargePercentageRateDto:
      required:
        - LineItems
        - Percentage
        - RateId
        - RateName
      type: object
      properties:
        Percentage:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.CustomerLineHaulPercentageRateDto:
      required:
        - LineItems
        - Percentage
        - RateId
        - RateName
        - HideCalculationDetails
      type: object
      properties:
        Percentage:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
        HideCalculationDetails:
          type: boolean
      additionalProperties: false
    Alvys.Models.Trips.PerTripRateDto:
      required:
        - LineItems
        - Rate
        - RateId
        - RateName
      type: object
      properties:
        Rate:
          type: number
          format: double
          deprecated: true
        Tiers:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateTierDto'
          nullable: true
        MileageType:
          type: string
          nullable: true
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.ServiceFeeRateDto:
      required:
        - FlatFee
        - LineItems
        - Percentage
        - RateId
        - RateName
      type: object
      properties:
        Percentage:
          type: number
          format: double
        FlatFee:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.StatementMinimumPayRateDto:
      required:
        - LineItems
        - MinimumAmount
        - RateId
        - RateName
      type: object
      properties:
        MinimumAmount:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.StatementBonusRateDto:
      required:
        - Amount
        - LineItems
        - RateId
        - RateName
      type: object
      properties:
        Amount:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.StatementPerDiemRateDto:
      required:
        - LineItems
        - MileageType
        - RateId
        - RateName
        - Tiers
      type: object
      properties:
        Tiers:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateTierDto'
        MileageType:
          type: string
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.MileageRateDto:
      required:
        - LineItems
        - RateId
        - RateName
        - Tiers
        - UseHighestTier
      type: object
      properties:
        Tiers:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateTierDto'
        UseHighestTier:
          type: boolean
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerStopRateDto:
      required:
        - LineItems
        - RateId
        - RateName
        - Tiers
      type: object
      properties:
        Tiers:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.PerStopRateTierDto'
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerLoadRateDto:
      required:
        - LineItems
        - Rate
        - RateId
        - RateName
      type: object
      properties:
        Rate:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerHourRateDto:
      required:
        - LineItems
        - Rate
        - RateId
        - RateName
      type: object
      properties:
        Rate:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerDayRateDto:
      required:
        - LineItems
        - Rate
        - RateId
        - RateName
      type: object
      properties:
        Rate:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.DailyPerDiemRateDto:
      required:
        - LineItems
        - Rate
        - RateId
        - RateName
      type: object
      properties:
        Rate:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.MileagePerDiemRateDto:
      required:
        - LineItems
        - MileageType
        - RateId
        - RateName
        - Tiers
        - UseHighestTier
      type: object
      properties:
        Tiers:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateTierDto'
        UseHighestTier:
          type: boolean
        MileageType:
          type: string
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerMileRateDto:
      required:
        - LineItems
        - MileageType
        - RateId
        - RateName
        - Tiers
        - UseHighestTier
      type: object
      properties:
        Tiers:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.MileageRateTierDto'
        UseHighestTier:
          type: boolean
        MileageType:
          type: string
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.DailyMinimumPayRateDto:
      required:
        - DailyRate
        - EndGraceHours
        - IncludeWaypoints
        - LineItems
        - RateId
        - RateName
        - StartGraceHours
      type: object
      properties:
        DailyRate:
          type: number
          format: double
        StartGraceHours:
          type: number
          format: double
        EndGraceHours:
          type: number
          format: double
        IncludeWaypoints:
          type: boolean
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerHourWithOvertimeRateDto:
      required:
        - BaseRate
        - LineItems
        - OtMultiplier
        - RateId
        - RateName
        - WeeklyOtThreshold
      type: object
      properties:
        BaseRate:
          type: number
          format: double
        OtMultiplier:
          type: number
          format: double
        WeeklyOtThreshold:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.PerWeightRateDto:
      required:
        - LineItems
        - Rate
        - RateId
        - RateName
      type: object
      properties:
        Rate:
          type: number
          format: double
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.RestBreaksRateDto:
      required:
        - EveryNthHour
        - LineItems
        - PerBreakRate
        - RateId
        - RateName
      type: object
      properties:
        PerBreakRate:
          type: number
          format: double
        EveryNthHour:
          type: integer
          format: int32
        RateId:
          type: string
        RateName:
          type: string
        LineItems:
          type: array
          items:
            $ref: '#/components/schemas/Alvys.Models.Trips.LineItemDto'
      additionalProperties: false
    Alvys.Models.Trips.LineItemDto:
      required:
        - Amount
        - Description
      type: object
      properties:
        Description:
          type: string
        Amount:
          allOf:
            - $ref: '#/components/schemas/Alvys.Money'
      additionalProperties: false
    Alvys.Models.Trips.MileageRateTierDto:
      required:
        - Miles
        - Rate
      type: object
      properties:
        Miles:
          type: integer
          format: int32
        Rate:
          type: number
          format: double
      additionalProperties: false
    Alvys.Models.Trips.PerStopRateTierDto:
      required:
        - FlatBonus
        - Rate
        - Stops
      type: object
      properties:
        Stops:
          type: integer
          format: int32
        Rate:
          type: number
          format: double
        FlatBonus:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    Public:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        OAuth 2.0 client-credentials access token. Obtain one from
        https://auth.alvys.com/oauth/token (grant_type=client_credentials,
        audience=https://api.alvys.com/public/), then paste it here. The
        playground sends it as `Authorization: Bearer <token>`.

````